% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/textmodel_svm.R
\name{predict.textmodel_svm}
\alias{predict.textmodel_svm}
\title{Prediction from a fitted textmodel_svm object}
\usage{
\method{predict}{textmodel_svm}(
  object,
  newdata = NULL,
  type = c("class", "probability"),
  force = TRUE,
  ...
)
}
\arguments{
\item{object}{a fitted linear SVM textmodel}

\item{newdata}{dfm on which prediction should be made}

\item{type}{the type of predicted values to be returned; see Value}

\item{force}{make newdata's feature set conformant to the model terms}

\item{...}{not used}
}
\value{
\code{predict.textmodel_svm} returns either a vector of class
predictions for each row of \code{newdata} (when \code{type = "class"}), or
a document-by-class matrix of class probabilities (when \code{type = "probability"}).
}
\description{
\code{predict.textmodel_svm()} implements class predictions from a fitted
linear SVM model.
}
\seealso{
\code{\link[=textmodel_svm]{textmodel_svm()}}
}
\keyword{internal}
\keyword{textmodel}
